Bug 1714528 - Missing IDs on cluster upgrade buttons
Summary: Missing IDs on cluster upgrade buttons
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-ui-extensions
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-4.4.0
: ---
Assignee: rszwajko
QA Contact: Ivana Saranova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-28 10:43 UTC by Petr Matyáš
Modified: 2020-08-04 13:19 UTC (History)
5 users (show)

Fixed In Version: ovirt-engine 4.4.0 alpha 551beb5b
Doc Type: Bug Fix
Doc Text:
Previously, some HTML elements in Cluster Upgrade dialog had missing or duplicated IDs, which impaired automated UI testing. The current release fixes this issue. It provides missing IDs and removes duplicates to improve automated UI testing.
Clone Of:
Environment:
Last Closed: 2020-08-04 13:19:31 UTC
oVirt Team: UX
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3247 0 None None None 2020-08-04 13:19:46 UTC
oVirt gerrit 106423 0 master MERGED Added missing 'id' attribute to buttons. 2020-07-23 07:12:08 UTC
oVirt gerrit 106436 0 master MERGED webadmin: extend ActionButtonInterface with an optional 'id' property 2020-07-23 07:12:07 UTC

Description Petr Matyáš 2019-05-28 10:43:22 UTC
Description of problem:
There should be IDs on all elements of cluster upgrade dialogue, however they are missing on button opening the dialogue and on all buttons on the bottom of the dialogue on all the tabs.

Version-Release number of selected component (if applicable):
ovirt-engine-4.3.4.1-0.1.el7.noarch
ovirt-engine-webadmin-portal-4.3.4.1-0.1.el7.noarch

How reproducible:
always

Steps to Reproduce:
1. check ID of Upgrade button on clusters tab
2. check IDs of buttons on the bottom of the cluster upgrade dialogue
3.

Actual results:
IDs are missing

Expected results:
IDs are present

Additional info:

Comment 1 Petr Matyáš 2019-06-11 15:47:55 UTC
Also on Select Hosts tab the 'selectAll' ID is used twice, once for th element (it shouldn't be here) and once for input element (this one is correct).

Comment 4 Ivana Saranova 2020-03-12 13:05:47 UTC
Steps:
1. check ID of Upgrade button on clusters tab
2. check IDs of buttons on the bottom of the cluster upgrade dialogue
2. check Select Hosts tab that the 'selectAll' ID is not used twice but only once for input element

Results:
Upgrade button does not have ID. Buttons at the bottom of the cluster upgrade dialog do not have IDs. Select Hosts tab ID with name selectAll is used twice for th and input element instead for only input element.

Tested in:
ovirt-engine-4.4.0-0.25.master.el8ev.noarch
ovirt-engine-webadmin-portal-4.4.0-0.25.master.el8ev.noarch

Comment 9 Ivana Saranova 2020-03-31 15:40:13 UTC
Steps:
1. check ID of Upgrade button on clusters tab
2. check IDs of buttons on the bottom of the cluster upgrade dialogue
2. check Select Hosts tab that the 'selectAll' ID is not used twice but only once for input element

Results:
Upgrade buttons have IDs, selectAll ID is used only once for the input element in the table.

Tested in:
ovirt-engine-4.4.0-0.29.master.el8ev.noarch
ovirt-engine-webadmin-portal-4.4.0-0.29.master.el8ev.noarch

Comment 16 errata-xmlrpc 2020-08-04 13:19:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: RHV Manager (ovirt-engine) 4.4 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3247


Note You need to log in before you can comment on or make changes to this bug.